import { FieldType, InputFieldType } from "../..";
/**
 * Create a not nullable type from an existing one
 * @param type The type to convert
 */
export declare function NotNullable<Type extends FieldType | InputFieldType = FieldType>(type: Type): NotNullableType<Type>;
export declare class NotNullableType<Type extends FieldType | InputFieldType = FieldType> {
    private _type;
    get type(): Type;
    constructor(type: Type);
}
